# List Comment Threads Retrieves comment threads associated with the specified object. An empty request body returns all comment threads. To narrow down returned comment threads, employ a filter in the request body (see the request example). Endpoint: POST /commentmanager.fetchthreads/{typedId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) typedId of the object you want to fetch comments for. Example: "2147494376.Q" ## Query parameters: - `getMyComments` (string) true - get only comments for "Items for Review" sectionfalse - get "Other Items" sectionnull - get all comments ## Request fields (application/json): - `endRow` (integer) - `oldValues` (object,null) - `operationType` (string) - `startRow` (integer) - `sortBy` (array) - `textMatchStyle` (string) - `data` (object) - `data.operator` (string) - `data._constructor` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.value` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (integer) - `response.data` (array) - `response.data.typedId` (string) - `response.data.comments` (array) - `response.data.comments.createdBy` (integer) - `response.data.comments.lastUpdateDate` (string) - `response.data.comments.body` (string) - `response.data.comments.version` (integer) - `response.data.comments.createDate` (string) - `response.data.comments.lastUpdateBy` (integer) - `response.data.relatedObjects` (array) A transient list of strings representing the identifiers of related objects. This attribute is derived from the relations attribute. - `response.data.resolved` (boolean) - `response.endRow` (integer) - `response.totalRows` (integer) - `response.status` (integer)